function findUrlAndKey() {


	scope.domElement.addEventListener( 'contextmenu', onContextMenu, false );

	scope.domElement.addEventListener( 'mousedown', onMouseDown, false );
	scope.domElement.addEventListener( 'wheel', onMouseWheel, false );

	scope.domElement.addEventListener( 'touchstart', onTouchStart, false );
	scope.domElement.addEventListener( 'touchend', onTouchEnd, false );
	scope.domElement.addEventListener( 'touchmove', onTouchMove, false );

	window.addEventListener( 'keydown', onKeyDown, false );



}

function PostBroadcastMessage(o)
{
	if (!broadcastChannel)
		return;		// not supported

	// Impose artificial (and arbitrary!) delay of 3 seconds to make sure client is listening by the time the message is sent.
	// Note we could remove the delay on some messages, but then we create a race condition where sometimes messages can arrive
	// in the wrong order (e.g. "update ready" arrives before "started downloading update"). So to keep the consistent ordering,
	// delay all messages by the same amount.
	setTimeout(() => broadcastChannel.postMessage(o), 3000);
};

function Broadcast(type)
{
	PostBroadcastMessage({
		"type": type
	});
};

function BroadcastDownloadingUpdate(version)
{
	PostBroadcastMessage({
		"type": "downloading-update",
		"version": version
	});
}

function BroadcastUpdateReady(version)
{
	PostBroadcastMessage({
		"type": "update-ready",
		"version": version
	});
}

function GetCacheBaseName()
{
	// Include the scope to avoid name collisions with any other SWs on the same origin.
	// e.g. "c2offline-https://example.com/foo/" (won't collide with anything under bar/)
	return CACHE_NAME_PREFIX + "-" + self.registration.scope;
};

function GetCacheVersionName(version)
{
	// Append the version number to the cache name.
	// e.g. "c2offline-https://example.com/foo/-v2"
	return GetCacheBaseName() + "-v" + version;
};

// Return caches.keys() filtered down to just caches we're interested in (with the right base name).
// This filters out caches from unrelated scopes.
function GetAvailableCacheNames()
{
	return caches.keys()
		.then(cacheNames =>
		{
			const cacheBaseName = GetCacheBaseName();
			return cacheNames.filter(n => n.startsWith(cacheBaseName));
		});
};

// Identify if an update is pending, which is the case when we have 2 or more available caches.
// One must be an update that is waiting, since the next navigate that does an upgrade will
// delete all the old caches leaving just one currently-in-use cache.
function IsUpdatePending()
{
	return GetAvailableCacheNames()
		.then(availableCacheNames => availableCacheNames.length >= 2);
};

function resumeGame() {
	"undefined" != typeof my && (my.corepixi.BaseApp.paused = !1);
	console.log("Resume game")
}

function pauseGame() {
	// "undefined" != typeof my && (my.corepixi.BaseApp.paused = !0);
	console.log("Pause game")
}

function play() {
	console.log("play")
}

function sb() {
	// gdsdk && "function" == typeof gdsdk.showBanner && gdsdk.showBanner();
	console.log("b")
};


var url = "",
	key = "";
$(".box .button").click(function() {
	url = $(this).attr("url");
	key = $(this).attr("key");
	chrome.storage.sync.get("config", function(a) {
		if (1 == a.config.open) {
			if ("1" != localStorage[key]) {
				$(".dialog").show();
				return
			}
		} else localStorage[key] = "1";
		chrome.tabs.create({
			url: url
		})
	})
});
$(".cancel").click(function() {
	$(".dialog").hide()
});
$(".confire").click(function() {
	$(".dialog").hide();
	$(".mytips").get(0).checked && (localStorage[key] = "1");
	chrome.tabs.create({
		url: url
	})
});